FX Rates
Foreign exchange rates
List or look up FX rates
x-api-key<token>
API key for programmatic access
In: header
Query Parameters
from?string
to?string
startDate?string
Format
dateendDate?string
Format
datelookup?boolean
Set to true for single rate lookup mode
date?string
Specific date for lookup mode
Format
dateResponse Body
application/json
application/json
curl -X GET "https://app.axiomatic.us/api/fx-rates"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"fromCurrency": "string",
"toCurrency": "string",
"rate": 0,
"rateDate": "2019-08-24",
"source": "string"
}
]{
"error": "string"
}Insert FX rates
x-api-key<token>
API key for programmatic access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.us/api/fx-rates" \ -H "Content-Type: application/json" \ -d '{ "fromCurrency": "EUR", "toCurrency": "USD", "rate": 1.08, "rateDate": "2019-08-24" }'{}{
"error": "string"
}{
"error": "string"
}